## python-scrapy 0.8

=== docs/Makefile ===
#
# Makefile for Scrapy documentation [based on Python documentation Makefile]
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#

# Required for autodoc
export SCRAPY_SETTINGS_DISABLED = 1

# You can set these variables from the command line.
PYTHON       = python
SPHINXOPTS   =
PAPER        =
SOURCES      =

ALLSPHINXOPTS = -b $(BUILDER) -d build/doctrees -D latex_paper_size=$(PAPER) \
                $(SPHINXOPTS) . build/$(BUILDER) $(SOURCES)

.PHONY: help update build html htmlhelp clean

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  text      to make plain text files"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"


build: 
	mkdir -p build/$(BUILDER) build/doctrees
	sphinx-build $(ALLSPHINXOPTS)
	@echo


html: BUILDER = html
html: build
	@echo "Build finished. The HTML pages are in build/html."

htmlhelp: BUILDER = htmlhelp
htmlhelp: build
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      "build/htmlhelp/pydoc.hhp project file."

latex: BUILDER = latex
latex: build
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

text: BUILDER = text
text: build
	@echo "Build finished; the text files are in build/text."

changes: BUILDER = changes
changes: build
	@echo "The overview file is in build/changes."

linkcheck: BUILDER = linkcheck
linkcheck: build
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/$(BUILDER)/output.txt"

doctest: BUILDER = doctest
doctest: build
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt"

pydoc-topics: BUILDER = pydoc-topics
pydoc-topics: build
	@echo "Building finished; now copy build/pydoc-topics/pydoc_topics.py " \
	      "into the Lib/ directory"

htmlview: html
	 $(PYTHON) -c "import webbrowser; webbrowser.open('build/html/index.html')"

clean:
	-rm -rf build/*

=== debian/changelog ===
python-scrapy (0.8-3) unstable; urgency=low

  * debian/watch:
    - Corrected regular expression to catch "Scrapy" and "scrapy".
  * debian/patches:
    - 01_external_modules.diff: refreshed patch.
    - 02_view_response.diff: fixes bug in open_in_browser() function with
      Python 2.5. (Closes: #573369).
  * debian/control:
    - Bumped Standards-Version to 3.8.4.
  * debian/python-scrapy.lintian-overrides:
    - Added overrides for 'duplicated-compressed-file' as the two suspected
      files are intentionally present and used by the scrapy test suite.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Thu, 13 May 2010 14:59:09 +0200

python-scrapy (0.8-2) unstable; urgency=low

  * debian/control:
    - Added dependency on python-twisted-mail.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Mon, 14 Dec 2009 22:13:54 +0000

python-scrapy (0.8-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - 01_external_modules.diff: refreshed content as some files were modified
      in the new upstream version.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Mon, 14 Dec 2009 21:26:16 +0000

python-scrapy (0.7-2) unstable; urgency=low

  * Converted the package to "3.0 (quilt)" format.
  * debian/control:
    - Changed Build dependency from python-all-dev to python.
    - Added dependency on python-beautifulsoup and python-clientform.
    - Added Recommends field listing listing all the non absolute dependencies.
    - Moved python-simplejson dependency from Suggests to Recommends.
    - Changed dependecy on python-twisted which is "extra" to
      python-twisted-core, python-twisted-web and python-twisted-conch.
  * debian/rules:
    - Now excludes BeautifulSoup.py and ClientForm.py.
  * debian/patches:
    - 01_external_modules.diff: Updated imports of BeautifulSoup and ClientForm
      to point to the main Python modules.
  * debian/source/format:
    - New file set to "3.0 (quilt)".

 -- Ignace Mouzannar <mouzannar@gmail.com>  Tue, 24 Nov 2009 00:07:21 +0100

python-scrapy (0.7-1) unstable; urgency=low

  * Initial release. (Closes: #551038)

 -- Ignace Mouzannar <mouzannar@gmail.com>  Thu, 19 Nov 2009 23:25:57 +0100

=== debian/control ===
Source: python-scrapy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ignace Mouzannar <mouzannar@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python-jinja
Build-Depends-Indep: python-support, python, python-sphinx, libjs-jquery, python-twisted-core, python-twisted-web, python-twisted-conch
Standards-Version: 3.8.4
Homepage: http://scrapy.org/
Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/python-scrapy/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-scrapy/trunk/

Package: python-scrapy
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-twisted-core, python-twisted-web, python-twisted-conch, python-twisted-mail, python-libxml2, python-beautifulsoup, python-clientform
Recommends: python-simplejson | python (>= 2.6), python-lxml, python-guppy, python-boto, python-django, ipython, python-pygments, python-imaging, python-mysqldb
Provides: ${python:Provides}
Suggests: python-openssl
Description: Python web scraping and crawling framework
 Scrapy is a fast high-level screen scraping and web crawling framework, 
 used to crawl websites and extract structured data from their pages. 
 It can be used for a wide range of purposes, from data mining to 
 monitoring and automated testing.
 .
 This package provides the python-scrapy script and modules.

Package: python-scrapy-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libjs-jquery
Section: doc
Description: Python web scraping and crawling framework documentation
 Scrapy is a fast high-level screen scraping and web crawling framework,
 used to crawl websites and extract structured data from their pages.
 It can be used for a wide range of purposes, from data mining to
 monitoring and automated testing.
 .
 This package provides the python-scrapy documentation in HTML format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_ALWAYS_EXCLUDE=license.txt:_sources/:.buildinfo:BeautifulSoup.py:ClientForm.py

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/tmp/usr/bin/scrapy-ctl.py $(CURDIR)/debian/tmp/usr/bin/scrapy-ctl
	cd docs/ && $(MAKE) html

override_dh_install:
	dh_install -Xjquery.js

override_dh_auto_clean:
	dh_auto_clean
	cd docs/ && $(MAKE) clean

override_dh_compress:
	dh_compress -X.js

=== debian/watch ===
version=3
http://scrapy.org/releases/(\d\.\d)/ \
 [Ss]crapy-([\d\.]+)\.tar\.gz

## python-scrapy 0.12.0.2528

=== debian/changelog ===
python-scrapy (0.12.0.2528-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Update debian/pyversions.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 28 Jan 2011 23:10:56 +0530

python-scrapy (0.12.0.2528-1) unstable; urgency=low

  * New upstream version.
  * debian/rules:
    - Removed references to scrapy-ctl.py and scrapy-sqs.py.
    - Added bash-completion support.
    - Added exclusion of "objects.inv" in override_dh_compress.
      (Closes: #608774)
  * debian/control:
    - Added Build-Depends on bash-completion.
  * debian/scrapy-ctl.1, debian/scrapy-sqs.1:
    - Removed files, as their respective binary files are not distributed by
      upstream anymore.
  * debian/python-scrapy.install:
    - Added the installation of scrapy-ws.py.
  * debian/python-scrapy.manpages:
    - Removed references to scrapy-ctl.1 and scrapy-sqs.1.
    - Added scrapy.1 manpage.
  * debian/watch:
    - Updated the file to point to the new PyPI repository. Thank you Janos 
      Guljas <janos@resenje.org> for the patch.
  * debian/python-scrapy.bash-completion:
    - New file pointing to the bash-completion file distributed by upstream.
  * debian/pytnon-scrapy.lintian-override:
    - Added override of "no-upstream-changelog" warning, as upstream does not
      provide any changelog.
  * debian/python-scrapy.README.Debian:
    - Added a mention about BeautifulSoup and ClientForm embedded libraries.
  * debian/changelog:
    - Setting the package back to unstable, as this is upstream's stable
      version and no freeze exception will be requested for it.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Thu, 27 Jan 2011 12:15:03 +0100

python-scrapy (0.9-1) experimental; urgency=low

  * New upstream release.
  * debian/patches:
    - 02_view_response.diff: Removed this patch as it has been applied upstream.
    - 01_external_modules.diff: Removed this patch as upstream clearly pointed
      out the need to use the embedded copies of these external modules instead
      of the ones delivered by the Debian packages.
      For more details: http://dev.scrapy.org/ticket/129
  * debian/control:
    - Bumped Standards-Version to 3.9.1.
    - Moved python-boto from Recommends to Depends as it is now needed by the
      scrapy-sqs script.
    - Removed dependencies on python-beautifulsoup and python-clientform as 
      the embedded modules in scrapy/xlib/ will be used instead.
  * debian/copyright:
    - Removed reference to deprecated /usr/share/common-licenses/BSD.
  * debian/rules:
    - Updated to remove language extensions (.py) of new scripts added by
      upstream.
    - Removed the flag used to ignore BeautifulSoup.py and ClientForm.py.
  * debian/scrapy-sqs.1 & debian/scrapy-ws.1
    - New manpages for scrapy-sqs and scrapy-ws.
  * debian/copyright:
    - Added copyright information for folder scrapy/xlib/simplejson/

 -- Ignace Mouzannar <mouzannar@gmail.com>  Sun, 22 Aug 2010 22:52:30 +0200

python-scrapy (0.8-3ubuntu1) natty; urgency=low

  * Update debian/pyversions.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Dec 2010 07:17:10 +0100

python-scrapy (0.8-3build1) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 13:08:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: python-scrapy
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ignace Mouzannar <mouzannar@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), python-jinja
+Build-Depends: debhelper (>= 7.0.50~), python-jinja, bash-completion
 Build-Depends-Indep: python-support, python, python-sphinx, libjs-jquery, python-twisted-core, python-twisted-web, python-twisted-conch
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://scrapy.org/
 Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/python-scrapy/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-scrapy/trunk/
 
 Package: python-scrapy
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-twisted-core, python-twisted-web, python-twisted-conch, python-twisted-mail, python-libxml2, python-beautifulsoup, python-clientform
-Recommends: python-simplejson | python (>= 2.6), python-lxml, python-guppy, python-boto, python-django, ipython, python-pygments, python-imaging, python-mysqldb
+Depends: ${misc:Depends}, ${python:Depends}, python-twisted-core, python-twisted-web, python-twisted-conch, python-twisted-mail, python-libxml2, python-boto
+Recommends: python-simplejson | python (>= 2.6), python-lxml, python-guppy, python-django, ipython, python-pygments, python-imaging, python-mysqldb
 Provides: ${python:Provides}
 Suggests: python-openssl
 Description: Python web scraping and crawling framework

## python-scrapy 0.12.0.2542

=== debian/changelog ===
python-scrapy (0.12.0.2542-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bumped Standards-Version to 3.9.2.
  * debian/pyversions:
    - Added build support for Python 2.7. (Closes: #629091)

 -- Ignace Mouzannar <mouzannar@gmail.com>  Sat, 04 Jun 2011 19:28:35 +0200

python-scrapy (0.12.0.2540-1) unstable; urgency=low

  * New upstream release (Closes: #619352)
  * debian/control:
    - Added the "DM-Upload-Allowed" field.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Fri, 22 Apr 2011 18:36:00 +0200

python-scrapy (0.12.0.2538-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Removed build dependency on python-jinja. (Closes: #613282)
    - Moved the Python dependency from Build-Depends-Indep to Build-Depends.
      (Closes: #613281)

 -- Ignace Mouzannar <mouzannar@gmail.com>  Sun, 27 Feb 2011 19:35:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: python-scrapy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ignace Mouzannar <mouzannar@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), python-jinja, bash-completion
-Build-Depends-Indep: python-support, python, python-sphinx, libjs-jquery, python-twisted-core, python-twisted-web, python-twisted-conch
-Standards-Version: 3.9.1
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 7.0.50~), bash-completion, python
+Build-Depends-Indep: python-support, python-sphinx, libjs-jquery, python-twisted-core, python-twisted-web, python-twisted-conch
+Standards-Version: 3.9.2
 Homepage: http://scrapy.org/
 Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/python-scrapy/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-scrapy/trunk/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_ALWAYS_EXCLUDE=license.txt:_sources/:.buildinfo

%:
	dh $@ --with bash_completion

override_dh_auto_install:
	dh_auto_install
	cd docs/ && $(MAKE) html

override_dh_install:
	dh_install -Xjquery.js
	mv $(CURDIR)/debian/python-scrapy/usr/bin/scrapy-ws.py $(CURDIR)/debian/python-scrapy/usr/bin/scrapy-ws

override_dh_auto_clean:
	dh_auto_clean
	cd docs/ && $(MAKE) clean

override_dh_compress:
	dh_compress -X.js -Xobjects.inv

## python-scrapy 0.12.0.2546

=== debian/changelog ===
python-scrapy (0.12.0.2546-1) unstable; urgency=low

  * New upstream release:
    - Includes the patch adding iPython-0.11 compatibility. Thank you
      Julian Taylor <jtaylor.debian@googlemail.com> for providing the patch.
      (Closes: #636719)
  * debian/control:
    - Added dependency on libjs-underscore.
    - Removed dependency on python-support.
    - Bumped minimum required python dependency to 2.6.6-3~.
    - Added X-Python-Version.
  * debian/rules:
    - Added python2 to dh's --with argument.
  * debian/pyversions:
    - Deleted file.
  * debian/python-scrapy-doc.links:
    - Added link to underscore.js library.
  * debian/python-scrapy.lintian-overrides:
    - Added overrides for false-positive duplicate file.
  * debian/python-scrapy-doc.lintian-verrides:
    - Added override for the missing changelog in the -doc package.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Mon, 29 Aug 2011 03:07:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ignace Mouzannar <mouzannar@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), bash-completion, python
-Build-Depends-Indep: python-support, python-sphinx, libjs-jquery, python-twisted-core, python-twisted-web, python-twisted-conch
+Build-Depends: debhelper (>= 7.0.50~), bash-completion, python (>= 2.6.6-3~)
+Build-Depends-Indep: python-sphinx, libjs-jquery, python-twisted-core, python-twisted-web, python-twisted-conch
+X-Python-Version: >=2.5, <=2.7
 Standards-Version: 3.9.2
 Homepage: http://scrapy.org/
 Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/python-scrapy/trunk/
@@ -28,7 +29,7 @@
 Package: python-scrapy-doc
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: libjs-jquery
+Recommends: libjs-jquery, libjs-underscore
 Section: doc
 Description: Python web scraping and crawling framework documentation
  Scrapy is a fast high-level screen scraping and web crawling framework,

## python-scrapy 0.14.1

=== debian/changelog ===
python-scrapy (0.14.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Added dependency on python-w3lib.
  * debian/copyright:
    - Updated formet to fit the dep5 specification.
    - Added copyright information for file scrapy/xlib/ordereddict.py.
  * debian/python-scrapy.lintian-overrides:
    - Removed override for file googledir/scrapy.cfg.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Sun, 12 Feb 2012 23:45:47 +0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: python-scrapy
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-twisted-core, python-twisted-web, python-twisted-conch, python-twisted-mail, python-libxml2, python-boto
+Depends: ${misc:Depends}, ${python:Depends}, python-twisted-core, python-twisted-web, python-twisted-conch, python-twisted-mail, python-libxml2, python-boto, python-w3lib
 Recommends: python-simplejson | python (>= 2.6), python-lxml, python-guppy, python-django, ipython, python-pygments, python-imaging, python-mysqldb
 Provides: ${python:Provides}
 Suggests: python-openssl

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DH_ALWAYS_EXCLUDE=license.txt:_sources/:.buildinfo
 
 %:
-	dh $@ --with bash_completion
+	dh $@ --with bash_completion --with python2
 
 override_dh_auto_install:
 	dh_auto_install

## python-scrapy 0.14.4

=== docs/Makefile ===
--- 
+++ 
@@ -2,9 +2,6 @@
 # Makefile for Scrapy documentation [based on Python documentation Makefile]
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
-
-# Required for autodoc
-export SCRAPY_SETTINGS_DISABLED = 1
 
 # You can set these variables from the command line.
 PYTHON       = python

=== debian/changelog ===
python-scrapy (0.14.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - 01_ftbs_easy_query.diff: corrects FTBS caused by the urlparse
    Python module import. (Closes: #678792)
  * debian/rules:
    - Added exclude on *.egg files.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Thu, 28 Jun 2012 23:41:01 +0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7.0.50~), bash-completion, python (>= 2.6.6-3~)
 Build-Depends-Indep: python-sphinx, libjs-jquery, python-twisted-core, python-twisted-web, python-twisted-conch
 X-Python-Version: >=2.5, <=2.7
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://scrapy.org/
 Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/python-scrapy/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-scrapy/trunk/

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export DH_ALWAYS_EXCLUDE=license.txt:_sources/:.buildinfo
+export DH_ALWAYS_EXCLUDE=license.txt:_sources/:.buildinfo:*.egg
 
 %:
 	dh $@ --with bash_completion --with python2

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/S/Scrapy/Scrapy-([\d\.]+).tar.gz

## python-scrapy 0.24.2

=== debian/changelog ===
python-scrapy (0.24.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Depend on python-cssselect. (Closes: #748864)

 -- Vincent Cheng <vcheng@debian.org>  Sat, 19 Jul 2014 23:18:07 -0700

python-scrapy (0.22.2-3) unstable; urgency=medium

  * Team upload.
  * Depend on python-w3lib >= 1.2. (Closes: #743315)

 -- Vincent Cheng <vcheng@debian.org>  Thu, 03 Apr 2014 23:58:42 -0700

python-scrapy (0.22.2-2) unstable; urgency=medium

  * Team upload.
  * Depend on python-queuelib. (Closes: #743199)

 -- Vincent Cheng <vcheng@debian.org>  Mon, 31 Mar 2014 15:32:18 -0700

python-scrapy (0.22.2-1) unstable; urgency=medium

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Remove DM-Upload-Allowed; it's no longer used by the archive
    software.

  [ Vincent Cheng ]
  * New upstream release. (Closes: #742983)
    - Drop patch, applied upstream.
  * Update Standards version to 3.9.5.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 30 Mar 2014 23:32:02 -0700

=== debian/control ===
Source: python-scrapy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ignace Mouzannar <mouzannar@gmail.com>
Build-Depends: bash-completion, debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
Build-Depends-Indep:
 libjs-jquery,
 python-sphinx,
 python-twisted-conch,
 python-twisted-core,
 python-twisted-web
X-Python-Version: >= 2.7
Standards-Version: 3.9.5
Homepage: http://scrapy.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-scrapy/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-scrapy/trunk/

Package: python-scrapy
Architecture: all
Depends:
 python-boto,
 python-cssselect,
 python-libxml2,
 python-queuelib,
 python-twisted-conch,
 python-twisted-core,
 python-twisted-mail,
 python-twisted-web,
 python-w3lib (>= 1.2),
 ${misc:Depends},
 ${python:Depends}
Recommends:
 ipython,
 python-django,
 python-guppy,
 python-imaging,
 python-lxml,
 python-mysqldb,
 python-pygments,
 python-simplejson | python (>= 2.6)
Provides: ${python:Provides}
Suggests: python-openssl
Description: Python web scraping and crawling framework
 Scrapy is a fast high-level screen scraping and web crawling framework,
 used to crawl websites and extract structured data from their pages.
 It can be used for a wide range of purposes, from data mining to
 monitoring and automated testing.
 .
 This package provides the python-scrapy script and modules.

Package: python-scrapy-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libjs-jquery, libjs-underscore
Section: doc
Description: Python web scraping and crawling framework documentation
 Scrapy is a fast high-level screen scraping and web crawling framework,
 used to crawl websites and extract structured data from their pages.
 It can be used for a wide range of purposes, from data mining to
 monitoring and automated testing.
 .
 This package provides the python-scrapy documentation in HTML format.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DH_ALWAYS_EXCLUDE=license.txt:_sources/:.buildinfo:*.egg
 
 %:
-	dh $@ --with bash_completion --with python2
+	dh $@ --with python2,bash_completion
 
 override_dh_auto_install:
 	dh_auto_install

## python-scrapy 1.0.0

=== debian/changelog ===
python-scrapy (1.0.0-1) unstable; urgency=medium

  * Team upload
  * Fresh upstream release (Closes: #789606)
  * debian/watch
    - use pypi.debian.net redirector to fetch the sources
  * debian/
    - do not deal with scrapy-ws.py script any longer -- was moved to
      scrapy-jsonrpc package (N/A from Debian archive ATM)
  * debian/rules
    - make build "reproducible" by fixing date to the one from
      debian/changelog (Closes: #788593). Thanks Juan Picca for the patch!
  * debian/control
    - minimal required version of w3lib boosted to 1.8
    - Build-Depends on python-setuptools and python-sphinx-rtd-theme
    - boost policy to 3.9.6
  * debian/copyright
    - moved verbatim of BSD-3 and MIT licenses into separate paragraphs
      for reuse
  * debian/python-scrapy-doc.doc-base
    - removed obsolete reference to /experimental/*.html
  * debian/patches (sent upstream)
    - changeset_48582be.diff - explicit path to RTD sphinx theme
    - changeset_49fe915.diff - do not ignore failed docs build

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 25 Jun 2015 10:53:02 -0400

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Build-Depends: bash-completion, debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
 Build-Depends-Indep:
  libjs-jquery,
- python-sphinx,
+ python-setuptools,
+ python-sphinx, python-sphinx-rtd-theme,
  python-twisted-conch,
  python-twisted-core,
  python-twisted-web
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://scrapy.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-scrapy/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-scrapy/trunk/
@@ -27,7 +28,7 @@
  python-twisted-core,
  python-twisted-mail,
  python-twisted-web,
- python-w3lib (>= 1.2),
+ python-w3lib (>= 1.8),
  ${misc:Depends},
  ${python:Depends}
 Recommends:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_ALWAYS_EXCLUDE=license.txt:_sources/:.buildinfo:*.egg

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt=\"$(BUILD_DATE)\"

%:
	dh $@ --with python2,bash_completion

override_dh_auto_install:
	dh_auto_install
	cd docs/ && $(MAKE) html SPHINXOPTS="$(SPHINXOPTS)"

override_dh_install:
	dh_install -Xjquery.js

override_dh_auto_clean:
	dh_auto_clean
	cd docs/ && $(MAKE) clean

override_dh_compress:
	dh_compress -X.js -Xobjects.inv

## python-scrapy 1.0.3

=== docs/Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 SPHINXOPTS   =
 PAPER        =
 SOURCES      =
+SHELL        = /bin/bash
 
 ALLSPHINXOPTS = -b $(BUILDER) -d build/doctrees -D latex_paper_size=$(PAPER) \
                 $(SPHINXOPTS) . build/$(BUILDER) $(SOURCES)
@@ -26,7 +27,7 @@
 
 build: 
 	mkdir -p build/$(BUILDER) build/doctrees
-	sphinx-build $(ALLSPHINXOPTS)
+	-sphinx-build $(ALLSPHINXOPTS)
 	@echo
 
 
@@ -58,6 +59,11 @@
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in build/$(BUILDER)/output.txt"
 
+linkfix: linkcheck
+	$(PYTHON) utils/linkfix.py
+	@echo "Fixing redirecting links in docs has finished; check all " \
+	      "replacements before committing them"
+
 doctest: BUILDER = doctest
 doctest: build
 	@echo "Testing of doctests in the sources finished, look at the " \
@@ -74,3 +80,5 @@
 clean:
 	-rm -rf build/*
 
+watch: htmlview
+	watchmedo shell-command -p '*.rst' -c 'make html' -R -D

=== tests/requirements.txt ===
# Tests requirements
mock
mitmproxy==0.10.1
netlib==0.10.1
pytest-twisted
jmespath
testfixtures

=== debian/changelog ===
python-scrapy (1.0.3-1) unstable; urgency=medium

  * Fresh upstream release.
    Tested that new project could be created (Closes: #755732)
  * Do install .egg so that scrapy entry point could find scrapy module
    (Closes: #797364)
  * debian/control
    - dh-python to Build-Depends (thanks lintian)
    - moved python-lxml to Depends from Recommends (Closes: #797365)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 02 Sep 2015 21:36:10 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ignace Mouzannar <mouzannar@gmail.com>
-Build-Depends: bash-completion, debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
+Build-Depends: bash-completion, debhelper (>= 7.0.50~), python (>= 2.6.6-3~), dh-python
 Build-Depends-Indep:
  libjs-jquery,
  python-setuptools,
@@ -23,6 +23,7 @@
  python-boto,
  python-cssselect,
  python-libxml2,
+ python-lxml,
  python-queuelib,
  python-twisted-conch,
  python-twisted-core,
@@ -36,7 +37,6 @@
  python-django,
  python-guppy,
  python-imaging,
- python-lxml,
  python-mysqldb,
  python-pygments,
  python-simplejson | python (>= 2.6)

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export DH_ALWAYS_EXCLUDE=license.txt:_sources/:.buildinfo:*.egg
+export DH_ALWAYS_EXCLUDE=license.txt:_sources/:.buildinfo
 
 LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
 BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/Scrapy/Scrapy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-scrapy 1.3.0

=== requirements.txt ===
Twisted>=13.1.0
lxml
pyOpenSSL
cssselect>=0.9
w3lib>=1.15.0
queuelib
six>=1.5.2
PyDispatcher>=2.0.5
service_identity
parsel>=0.9.5

=== tests/requirements.txt ===
# Tests requirements
mock
mitmproxy==0.10.1
netlib==0.10.1
pytest==2.9.2
pytest-twisted
pytest-cov==2.2.1
jmespath
testfixtures
# optional for shell wrapper tests
bpython
ipython

=== debian/changelog ===
python-scrapy (1.3.0-1~exp2) experimental; urgency=low

  * Team upload.
  * Switch to pybuild and add all packages required to run the tests to
    Build-Depends-Indep.
  * Add Python3 support through separate binary package.
  * Use alternatives system to manage /usr/bin/scrapy, its manpage and
    bash completion, to either utilize Python2 or Python3 with the later
    taking precedence if installed.
  * Add NEWS file to document alternatives for /usr/bin/scrapy.
  * Recreate cert.pem before running the tests to avoid errors with
    OpenSSL 1.1 because of weak keys (512bit).
  * Install README.rst in both module packages.
  * Switch to python3-sphinx.
  * Install upstream changelog and remove lintian overrides.
  * Remove README.Debian as upstream no longer ships embedded libraries.

 -- Michael Fladischer <fladi@debian.org>  Thu, 02 Feb 2017 13:40:12 +0100

python-scrapy (1.3.0-1~exp1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Clean files in Scrapy.egg-info/ to allow two builds in a row.
  * Use https:// for copyright-format 1.0 URL.
  * Use BSD-3-clause instead of BSD-3 in d/copyright.
  * Use Expat instead of MIT in d/copyright.
  * Replace versioned python with python-all in Build-Depends.
  * Remove python-guppy from Recommends.
  * Drop python-django from Recommends as Django support was moved to a
    separate project.
  * Bump debhelper compatibility and version to 9.
  * Drop python-simplejson from Recommends as it is no longer imported
    anywhere in the code.
  * Reformat packaging files with cme for better readability.
  * Remove unnecessary Provides field.
  * Remove unused sections and licenses from d/copyright as upstream has
    stopped shipping embedded libraries in their distributions.
  * Add patch to fix spelling error in manpage.
  * Add python-parsel to Build-Depends.

 -- Michael Fladischer <fladi@debian.org>  Wed, 25 Jan 2017 10:29:07 +0100

python-scrapy (1.0.3-2) unstable; urgency=medium

  * Team upload.

  [ Dmitry Shachnev ]
  * Use dh_sphinxdoc to link shared documentation files.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Vincent Cheng ]
  * Add patch to fix FTBFS with sphinx 1.4. (Closes: #830263)
  * Update Standards version to 3.9.8.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 10 Jul 2016 23:03:05 -0700

=== debian/control ===
Source: python-scrapy
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ignace Mouzannar <mouzannar@gmail.com>
Section: python
Priority: optional
Build-Depends: bash-completion,
               debhelper (>= 9),
               dh-python,
               python-all,
               python3-all
Build-Depends-Indep: libjs-jquery,
                     python-botocore,
                     python-jmespath,
                     python-lxml,
                     python-mock,
                     python-parsel (>= 1.1.0-1~),
                     python-pil,
                     python-pydispatch,
                     python-pytest,
                     python-queuelib,
                     python-setuptools,
                     python-testfixtures,
                     python-twisted-conch,
                     python-twisted-core,
                     python-twisted-web,
                     python-w3lib (>= 1.16.0-1~),
                     python3-botocore,
                     python3-jmespath,
                     python3-lxml,
                     python3-mock,
                     python3-parsel (>= 1.1.0-1~),
                     python3-pil,
                     python3-pydispatch,
                     python3-pytest,
                     python3-queuelib,
                     python3-setuptools,
                     python3-sphinx,
                     python3-sphinx-rtd-theme,
                     python3-testfixtures,
                     python3-twisted,
                     python3-w3lib (>= 1.16.0-1~)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-scrapy.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-scrapy.git
Homepage: http://scrapy.org/
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-scrapy
Architecture: all
Depends: python-boto,
         python-cssselect,
         python-libxml2,
         python-lxml,
         python-queuelib,
         python-twisted-conch,
         python-twisted-core,
         python-twisted-mail,
         python-twisted-web,
         python-w3lib (>= 1.8),
         ${misc:Depends},
         ${python:Depends}
Recommends: ipython,
            python-pil,
            python-mysqldb,
            python-pygments
Suggests: python-openssl,
          python-scrapy-doc (= ${binary:Version})
Description: Python web scraping and crawling framework (Python 2)
 Scrapy is a fast high-level screen scraping and web crawling framework,
 used to crawl websites and extract structured data from their pages.
 It can be used for a wide range of purposes, from data mining to
 monitoring and automated testing.
 .
 This package provides the scrapy module for Python 2.

Package: python3-scrapy
Architecture: all
Depends: python3-boto,
         python3-cssselect,
         python3-libxml2,
         python3-lxml,
         python3-queuelib,
         python3-twisted,
         python3-w3lib (>= 1.8),
         ${misc:Depends},
         ${python3:Depends}
Recommends: ipython3,
            python3-pil,
            python3-mysqldb,
            python3-pygments
Suggests: python3-openssl,
          python-scrapy-doc (= ${binary:Version})
Description: Python web scraping and crawling framework (Python 3)
 Scrapy is a fast high-level screen scraping and web crawling framework,
 used to crawl websites and extract structured data from their pages.
 It can be used for a wide range of purposes, from data mining to
 monitoring and automated testing.
 .
 This package provides the scrapy module for Python 3.

Package: python-scrapy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Python web scraping and crawling framework documentation
 Scrapy is a fast high-level screen scraping and web crawling framework,
 used to crawl websites and extract structured data from their pages.
 It can be used for a wide range of purposes, from data mining to
 monitoring and automated testing.
 .
 This package provides the python-scrapy documentation in HTML format.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+export PYBUILD_NAME=scrapy
+export PYBUILD_BEFORE_TEST=cd {dir}/tests/keys; cat example-com.key.pem example-com.cert.pem >cert.pem
 export DH_ALWAYS_EXCLUDE=license.txt:_sources/:.buildinfo
 
 LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
@@ -8,10 +10,12 @@
 SPHINXOPTS := -D html_last_updated_fmt=\"$(BUILD_DATE)\"
 
 %:
-	dh $@ --with python2,bash_completion
+	dh $@ --with python2,python3,bash_completion,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install
+	mv debian/python-scrapy/usr/bin/scrapy debian/python-scrapy/usr/bin/python2-scrapy
+	mv debian/python3-scrapy/usr/bin/scrapy debian/python3-scrapy/usr/bin/python3-scrapy
 	cd docs/ && $(MAKE) html SPHINXOPTS="$(SPHINXOPTS)"
 
 override_dh_install:
@@ -23,3 +27,11 @@
 
 override_dh_compress:
 	dh_compress -X.js -Xobjects.inv
+
+override_dh_installman:
+	ln extras/scrapy.1 extras/python2-scrapy.1
+	ln extras/scrapy.1 extras/python3-scrapy.1
+	dh_installman
+
+override_dh_installchangelogs:
+	dh_installchangelogs docs/news.rst

## python-scrapy 1.5.0

=== requirements.txt ===
Twisted>=13.1.0
lxml
pyOpenSSL
cssselect>=0.9
w3lib>=1.17.0
queuelib
six>=1.5.2
PyDispatcher>=2.0.5
service_identity
parsel>=1.1

=== docs/Makefile ===
--- 
+++ 
@@ -10,7 +10,8 @@
 SOURCES      =
 SHELL        = /bin/bash
 
-ALLSPHINXOPTS = -b $(BUILDER) -d build/doctrees -D latex_paper_size=$(PAPER) \
+ALLSPHINXOPTS = -b $(BUILDER) -d build/doctrees \
+                -D latex_elements.papersize=$(PAPER) \
                 $(SPHINXOPTS) . build/$(BUILDER) $(SOURCES)
 
 .PHONY: help update build html htmlhelp clean
@@ -23,10 +24,16 @@
 	@echo "  text      to make plain text files"
 	@echo "  changes   to make an overview over all changed/added/deprecated items"
 	@echo "  linkcheck to check all external links for integrity"
+	@echo "  watch     build HTML docs, open in browser and watch for changes"
 
+build-dirs:
+	mkdir -p build/$(BUILDER) build/doctrees
 
-build: 
-	mkdir -p build/$(BUILDER) build/doctrees
+build: build-dirs
+	sphinx-build $(ALLSPHINXOPTS)
+	@echo
+
+build-ignore-errors: build-dirs
 	-sphinx-build $(ALLSPHINXOPTS)
 	@echo
 
@@ -59,7 +66,8 @@
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in build/$(BUILDER)/output.txt"
 
-linkfix: linkcheck
+linkfix: BUILDER = linkcheck
+linkfix: build-ignore-errors
 	$(PYTHON) utils/linkfix.py
 	@echo "Fixing redirecting links in docs has finished; check all " \
 	      "replacements before committing them"
@@ -75,7 +83,8 @@
 	      "into the Lib/ directory"
 
 htmlview: html
-	 $(PYTHON) -c "import webbrowser; webbrowser.open('build/html/index.html')"
+	 $(PYTHON) -c "import webbrowser, os; webbrowser.open('file://' + \
+	 os.path.realpath('build/html/index.html'))"
 
 clean:
 	-rm -rf build/*

=== docs/requirements.txt ===
Sphinx>=1.3
sphinx_rtd_theme

=== tests/requirements.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 pytest-twisted
 pytest-cov==2.2.1
 jmespath
+brotlipy
 testfixtures
 # optional for shell wrapper tests
 bpython

=== debian/changelog ===
python-scrapy (1.5.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Always use pristine-tar.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Enable autopkgtest-pkg-python testsuite.
  * Remove debian/python-scrapy.examples as upstream no longer provides
    the related files.
  * Build documentation in override_dh_sphinxdoc.
  * Remove trailing whitespaces in previous changelog entries.

 -- Michael Fladischer <fladi@debian.org>  Sun, 21 Jan 2018 21:30:28 +0100

python-scrapy (1.4.0-1) unstable; urgency=low

  * Upload to unstable (Closes: #871385).
  * Team upload.
  * Refresh patches after git-dpm to gbp pq conversion
  * Bump Standards-Version to 4.1.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 29 Aug 2017 22:06:51 +0200

python-scrapy (1.4.0-1~exp1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Require twisted (>= 17.1.0) for Build-Depends so FTP tests can run.
  * Reformat packaging files with cme for better readability.
  * Bump Standards-Version to 4.0.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 20 Jun 2017 11:44:41 +0200

python-scrapy (1.3.3-1~exp1) experimental; urgency=low

  * Team upload.
  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Fri, 17 Mar 2017 09:00:55 +0100

python-scrapy (1.3.2-1~exp1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Drop patch applied upstream.

 -- Michael Fladischer <fladi@debian.org>  Fri, 17 Feb 2017 09:52:04 +0100

=== debian/control ===
Source: python-scrapy
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Ignace Mouzannar <mouzannar@gmail.com>,
Section: python
Priority: optional
Build-Depends:
 bash-completion,
 debhelper (>= 11),
 dh-python,
 python-all,
 python3-all,
Build-Depends-Indep:
 libjs-jquery,
 python-botocore,
 python-jmespath,
 python-lxml,
 python-mock,
 python-parsel (>= 1.1.0-1~),
 python-pil,
 python-pydispatch,
 python-pytest,
 python-queuelib,
 python-setuptools,
 python-testfixtures,
 python-twisted-conch (>= 1:17.1.0),
 python-twisted-core (>= 17.1.0),
 python-twisted-web (>= 17.1.0),
 python-w3lib (>= 1.16.0-1~),
 python3-botocore,
 python3-jmespath,
 python3-lxml,
 python3-mock,
 python3-parsel (>= 1.1.0-1~),
 python3-pil,
 python3-pydispatch,
 python3-pytest,
 python3-queuelib,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-testfixtures,
 python3-twisted (>= 17.1.0),
 python3-w3lib (>= 1.16.0-1~),
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-scrapy.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-scrapy.git
Homepage: http://scrapy.org/
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Testsuite: autopkgtest-pkg-python

Package: python-scrapy
Architecture: all
Depends:
 python-boto,
 python-cssselect,
 python-libxml2,
 python-lxml,
 python-queuelib,
 python-twisted-conch,
 python-twisted-core,
 python-twisted-mail,
 python-twisted-web,
 python-w3lib (>= 1.8),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 ipython,
 python-mysqldb,
 python-pil,
 python-pygments,
Suggests:
 python-openssl,
 python-scrapy-doc (= ${binary:Version}),
Description: Python web scraping and crawling framework (Python 2)
 Scrapy is a fast high-level screen scraping and web crawling framework,
 used to crawl websites and extract structured data from their pages.
 It can be used for a wide range of purposes, from data mining to
 monitoring and automated testing.
 .
 This package provides the scrapy module for Python 2.

Package: python-scrapy-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python web scraping and crawling framework documentation
 Scrapy is a fast high-level screen scraping and web crawling framework,
 used to crawl websites and extract structured data from their pages.
 It can be used for a wide range of purposes, from data mining to
 monitoring and automated testing.
 .
 This package provides the python-scrapy documentation in HTML format.

Package: python3-scrapy
Architecture: all
Depends:
 python3-boto,
 python3-cssselect,
 python3-libxml2,
 python3-lxml,
 python3-queuelib,
 python3-twisted,
 python3-w3lib (>= 1.8),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ipython3,
 python3-mysqldb,
 python3-pil,
 python3-pygments,
Suggests:
 python-scrapy-doc (= ${binary:Version}),
 python3-openssl,
Description: Python web scraping and crawling framework (Python 3)
 Scrapy is a fast high-level screen scraping and web crawling framework,
 used to crawl websites and extract structured data from their pages.
 It can be used for a wide range of purposes, from data mining to
 monitoring and automated testing.
 .
 This package provides the scrapy module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=scrapy
export PYBUILD_BEFORE_TEST=cd {dir}/tests/keys; cat example-com.key.pem example-com.cert.pem >cert.pem
export DH_ALWAYS_EXCLUDE=license.txt:_sources/:.buildinfo

%:
	dh $@ --with python2,python3,bash_completion,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mv debian/python-scrapy/usr/bin/scrapy debian/python-scrapy/usr/bin/python2-scrapy
	mv debian/python3-scrapy/usr/bin/scrapy debian/python3-scrapy/usr/bin/python3-scrapy

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html -N docs/ $(CURDIR)/debian/python-scrapy-doc/usr/share/doc/python-scrapy-doc/html
	dh_sphinxdoc
endif

override_dh_install:
	dh_install -Xjquery.js

override_dh_clean:
	rm -rf docs/.build
	dh_clean

override_dh_compress:
	dh_compress -X.js -Xobjects.inv

override_dh_installman:
	ln extras/scrapy.1 extras/python2-scrapy.1
	ln extras/scrapy.1 extras/python3-scrapy.1
	dh_installman

override_dh_installchangelogs:
	dh_installchangelogs docs/news.rst

## python-scrapy 1.5.1

=== docs/requirements.txt ===
Sphinx>=1.6
sphinx_rtd_theme

=== debian/changelog ===
python-scrapy (1.5.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ nyov ]
  * New upstream release. (Closes: #891725)
  * Clean up alternatives on removal. (Closes: #855578)
  * Install lintian override to silence "source is missing" on
    overlong javascript line.

  [ Andrej Shadura ]
  * Make Python 2 packages depend on python-functools32.
  * Catch StopIteration from raised from next().
    Generators should not raise StopIteration, but return instead.
    Python 3.7 enforces that.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 29 Sep 2018 14:51:15 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Build-Depends-Indep:
  libjs-jquery,
  python-botocore,
+ python-functools32,
  python-jmespath,
  python-lxml,
  python-mock,
@@ -43,11 +44,9 @@
  python3-twisted (>= 17.1.0),
  python3-w3lib (>= 1.16.0-1~),
 Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-scrapy.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-scrapy.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-scrapy
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-scrapy.git
 Homepage: http://scrapy.org/
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
 Testsuite: autopkgtest-pkg-python
 
 Package: python-scrapy
@@ -55,6 +54,7 @@
 Depends:
  python-boto,
  python-cssselect,
+ python-functools32,
  python-libxml2,
  python-lxml,
  python-queuelib,
